Page MenuHomeFreeBSD

Add basic tests for chflags(1), ctfconvert(1), fold(1) and rs(1)
ClosedPublic

Authored by shivansh on Sep 20 2017, 4:27 PM.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

asomers requested changes to this revision.Sep 21 2017, 3:13 PM

It is not ok to impose restrictions on how somebody invokes "kyua test". If some of these tests need to close stdin, then you'll have to do that from within the testcase body.

This revision now requires changes to proceed.Sep 21 2017, 3:13 PM

Close stdin where required in the tests

Can you please add .include <src.opts.mk> to every Makefile that references MK_TESTS?

Add .include <src.opts.mk> to every Makefile that references MK_TESTS

This revision is now accepted and ready to land.Oct 9 2017, 9:39 PM
asomers requested changes to this revision.Oct 9 2017, 10:46 PM

I just realized that this review is out of date. chflags' tests were already submitted in r323275 on 7-sep. Could you please update the review to either remove chflags or, if the chflags tests are changing, rebase the changes on top of head?

This revision now requires changes to proceed.Oct 9 2017, 10:46 PM

Remove test for chflags(1) -- already submitted in r323275.

PS. My apologies for the delay, just finished with my final exams today!

This revision is now accepted and ready to land.Nov 27 2017, 6:33 PM
This revision was automatically updated to reflect the committed changes.